# 📦 Pytoniq Tools

[![TON](https://img.shields.io/badge/TON-grey?logo=TON&logoColor=40AEF0)](https://ton.org)
[![PyPI](https://img.shields.io/pypi/v/pytoniq-tools.svg?color=FFE873&labelColor=3776AB)](https://pypi.python.org/pypi/pytoniq-tools)
![Python Versions](https://img.shields.io/badge/Python-3.10%20--%203.12-black?color=FFE873&labelColor=3776AB)
[![License](https://img.shields.io/github/license/nessshon/pytoniq-tools)](https://github.com/nessshon/pytoniq-tools/blob/main/LICENSE)

### Installation

```bash
pip install pytoniq-tools
```

### Usage

<details>
<summary><b>NFT Operations Guide</b></summary>

##### **Standard NFTs**

- [Deploy Collection](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/standard/deploy_collection.py)
- [Mint Item](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/standard/mint_item.py)
- [Batch Mint](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/standard/batch_mint.py)
- [Transfer Item](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/transfer_item.py)

##### **Editable NFTs**

- [Deploy Collection](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/editbale/deploy_collection.py)
- [Mint Item](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/editbale/mint_item.py)
- [Batch Mint](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/editbale/batch_mint.py)
- [Transfer Item](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/transfer_item.py)
- [Edit Item Content](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/editbale/edit_item_content.py)
- [Change Item Editorship](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/editbale/change_item_editorship.py)
- [Edit Collection Content](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/editbale/edit_collection_content.py)
- [Change Collection Owner](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/editbale/change_collection_owner.py)

##### **Soulbound NFTs**

- [Deploy Collection](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/soulbound/deploy_collection.py)
- [Mint Item](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/soulbound/mint_item.py)
- [Batch Mint](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/soulbound/batch_mint.py)
- [Revoke Item](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/soulbound/revoke_item.py)
- [Destroy Item](https://github.com/nessshon/pytoniq-tools/blob/main/examples/nft/soulbound/destroy_item.py)

</details>

## Contribution

We welcome your contributions! If you have ideas for improvement or have identified a bug, please create an issue or
submit a pull request.

## Donations

**TON** - `EQC-3ilVr-W0Uc3pLrGJElwSaFxvhXXfkiQA3EwdVBHNNess`

**USDT** (TRC-20) - `TJjADKFT2i7jqNJAxkgeRm5o9uarcoLUeR`

## License

This repository is distributed under the [MIT License](https://github.com/nessshon/pytoniq-tools/blob/main/LICENSE).
Feel free to use, modify, and distribute the code in accordance with the terms of the license.

